import java.io.*;

class FileTesti

{

public static void main(String args[])

{

File f1=new File("Musteri.txt");

System.out.println("Dosya ismi : "+f1.getName());

System.out.println("Dizin ismi : "+f1.getPath());

System.out.println("Mutlak Dizin ismi : "+f1.getAbsolutePath());

System.out.println("Ust Dizin ismi : "+f1.getParent());

System.out.println( f1.exists() ? "Mevcut " : " Mevcut degil ");

System.out.println( f1.canWrite() ? "Yazilabilir " : " Yazilamaz");

System.out.println( f1.canRead() ? "Okunabilir " : " Okunamaz");

System.out.println( f1.isDirectory() ? "Dizin " : " Dizin degil");

System.out.println( f1.isFile() ? "Dosya " : " Dosya degil");

System.out.println( f1.isAbsolute() ? "Mutlak dizin ismi " : " Mutlak dizin ismi degil");

System.out.println("Son Degisiklik : "+f1.lastModified());

System.out.println("Dosya boyutu : "+f1.length()+" Byte");

}

}
